Skip to main content
GET
get list of rooms

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

statuses
enum<string>[]

Status of room

  • idle - room is just created
  • live - broadcasting is active
  • waitingReconnect - broadcaster disconnected, waiting for reconnection
  • ended - broadcasting stopped
  • recorded - room recordings available
Maximum array length: 10
Available options:
idle,
live,
waitingReconnect,
ended,
recorded
type
enum<string>

Type of room

  • directStreaming - single participant streaming
  • coHosts - multiple participant streaming
Available options:
directStreaming,
coHosts
sortBy
enum<string>
Available options:
firstCreated,
lastCreated
isDeleted
boolean

isDeleted:

  • null(default) - Show both active and inactive rooms.
  • true - Show inactive rooms only.
  • false - Show active rooms only.
options
object

Response

room information

rooms
object[]
roomChildrens
object[]
users
object[]
files
object[]
paging
object